## org.jfree.chart.urls
Interface XYZURLGenerator

All Superinterfaces:
  XYURLGenerator

All Known Implementing Classes:
  StandardXYZURLGenerator

public interface XYZURLGenerator
extends XYURLGenerator

Interface for a URL generator for plots that uses data from an `XYZDataset`.

Method Summary
`java.lang.String` `generateURL(XYZDataset data, int series, int item)` Generates a URL for a particular item within a series.

Methods inherited from interface org.jfree.chart.urls.XYURLGenerator
`generateURL`

Method Detail

### generateURL

    public java.lang.String generateURL(XYZDataset data,
                                        int series,
                                        int item)

  Generates a URL for a particular item within a series.

  Parameters:
    `data` - the dataset.
    `series` - the series index (zero-based).
    `item` - the item index (zero-based).
  Returns:
    a string containing the generated URL.